package com.duiba.tuia.youtui.web.model.rsp;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 下拉推荐位
 *
 * Created by xuefeng on 2018/1/18.
 */
public class PullDownRsp implements Serializable{

    private static final Long serialVersionUID = 1L;

    //跳转url
    private String url;

    //样式id
    private Long styleId;

    //跳转页面id
    private Long pageId;

    //跳转页面皮肤
    private String pageCode;

    private Map<String,String> embed;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Long getStyleId() {
        return styleId;
    }

    public void setStyleId(Long styleId) {
        this.styleId = styleId;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public String getPageCode() {
        return pageCode;
    }

    public void setPageCode(String pageCode) {
        this.pageCode = pageCode;
    }

    public Map<String, String> getEmbed() {
        return embed;
    }

    public void setEmbed(Map<String, String> embed) {
        this.embed = embed;
    }
}
